#include<bits/stdc++.h>
using namespace std;
long long n,m,k,x,o,f1,f2,f;
int t;
string res;
int main(){
  cin>>t;
  while(t--){
    cin>>n>>m>>k;
    if(m<n){
      res="Nie";
    }
    else{
      x=n/k;
      o=n%k;
      f1=k*((x*(x+1))/2);
      f2=o*(x+1);
      f=f1+f2;
      cout<<f<<endl;
      if(f<=m){
        res="Tak";
      }
      else{
        res="Nie";
      }
    }
    cout<<res<<endl;
  }
  return 0;
}